
namespace eval ex_40g_s10 {
  proc get_design_libraries {} {
    set libraries [dict create]
    dict set libraries altera_common_sv_packages         1
    dict set libraries altera_xcvr_native_s10_htile_181  1
    dict set libraries alt_e40_181                       1
    dict set libraries altera_xcvr_atx_pll_s10_htile_181 1
    dict set libraries altera_xcvr_reset_control_s10_181 1
    dict set libraries altera_xcvr_fpll_s10_htile_181    1
    dict set libraries altera_iopll_181                  1
    dict set libraries altera_iopll_reconfig_181         1
    dict set libraries ex_40g_s10                        1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    lappend memory_files "[normalize_path "$QSYS_SIMDIR/../altera_iopll_reconfig_181/sim/recalibration.mif"]"
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    dict set design_files "altera_common_sv_packages::altera_xcvr_native_s10_functions_h" "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/altera_xcvr_native_s10_functions_h.sv"]\"  -work altera_common_sv_packages"
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_arbiter.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                                      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/mentor/alt_xcvr_arbiter.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/altera_std_synchronizer_nocut.v"]\"  -work altera_xcvr_native_s10_htile_181"                                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_resync_std.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_reset_counter_s10.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/mentor/alt_xcvr_reset_counter_s10.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/s10_avmm_h.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_avmm_csr.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_prbs_accum.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_odi_accel.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_rcfg_arb.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_early_spd_chng_s10_htile.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_anlg_reset_seq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_dig_reset_seq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_reset_seq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_re_cal_chnl.v"]\"  -work altera_xcvr_native_s10_htile_181"                                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_pcie_rx_eios_prot.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/ex_40g_s10_altera_xcvr_native_s10_htile_181_btuf74a.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_181/sim/alt_xcvr_native_rcfg_opt_logic_btuf74a.sv"]\" -L altera_common_sv_packages -work altera_xcvr_native_s10_htile_181"                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/ex_40g_s10_alt_e40_181_o22do2a.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/altera_std_synchronizer_nocut.v"]\"  -work altera_xcvr_atx_pll_s10_htile_181"                                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_resync.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_arbiter.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/mentor/alt_xcvr_resync.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/mentor/alt_xcvr_arbiter.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/s10_avmm_h.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_native_anlg_reset_seq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_pll_rcfg_arb.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                               
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_pll_embedded_debug.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_pll_avmm_csr.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                               
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/ex_40g_s10_altera_xcvr_atx_pll_s10_htile_181_iyoln3q.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_181/sim/alt_xcvr_pll_rcfg_opt_logic_iyoln3q.sv"]\" -L altera_common_sv_packages -work altera_xcvr_atx_pll_s10_htile_181"                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/s10_atx_pll.v"]\"  -work alt_e40_181"                                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_reset_control_s10_181/sim/altera_std_synchronizer_nocut.v"]\"  -work altera_xcvr_reset_control_s10_181"                                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_reset_control_s10_181/sim/alt_xcvr_resync_std.sv"]\" -L altera_common_sv_packages -work altera_xcvr_reset_control_s10_181"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_reset_control_s10_181/sim/altera_xcvr_reset_control_s10.sv"]\" -L altera_common_sv_packages -work altera_xcvr_reset_control_s10_181"                       
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_reset_control_s10_181/sim/alt_xcvr_reset_counter_s10.sv"]\" -L altera_common_sv_packages -work altera_xcvr_reset_control_s10_181"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_reset_control_s10_181/sim/mentor/altera_xcvr_reset_control_s10.sv"]\" -L altera_common_sv_packages -work altera_xcvr_reset_control_s10_181"                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_reset_control_s10_181/sim/mentor/alt_xcvr_reset_counter_s10.sv"]\" -L altera_common_sv_packages -work altera_xcvr_reset_control_s10_181"                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/s10_xcvr_reset_controller.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/altera_std_synchronizer_nocut.v"]\"  -work altera_xcvr_fpll_s10_htile_181"                                                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/s10_avmm_h.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_native_anlg_reset_seq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_pll_rcfg_arb.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_pll_embedded_debug.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                               
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_pll_avmm_csr.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_resync.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_arbiter.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/mentor/alt_xcvr_resync.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/mentor/alt_xcvr_arbiter.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/ex_40g_s10_altera_xcvr_fpll_s10_htile_181_wm5epzq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_181/sim/alt_xcvr_pll_rcfg_opt_logic_wm5epzq.sv"]\" -L altera_common_sv_packages -work altera_xcvr_fpll_s10_htile_181"                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/s10_fpll_tx.v"]\"  -work alt_e40_181"                                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_iopll_181/sim/ex_40g_s10_altera_iopll_181_nmefj3i.vo"]\"  -work altera_iopll_181"                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_iopll_181/sim/stratix10_altera_iopll.v"]\"  -work altera_iopll_181"                                                                                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/s10_iopll_rx.v"]\"  -work alt_e40_181"                                                                                                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_iopll_reconfig_181/sim/altera_iopll_reconfig_top.sv"]\" -L altera_common_sv_packages -work altera_iopll_reconfig_181"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_iopll_reconfig_181/sim/altera_iopll_reconfig_fsm.sv"]\" -L altera_common_sv_packages -work altera_iopll_reconfig_181"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_iopll_reconfig_181/sim/pulse_gen.sv"]\" -L altera_common_sv_packages -work altera_iopll_reconfig_181"                                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_iopll_reconfig_181/sim/shift.sv"]\" -L altera_common_sv_packages -work altera_iopll_reconfig_181"                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/s10_iopll_reconfig.v"]\"  -work alt_e40_181"                                                                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/ex_40g_s10_alt_e40_181_jke64uy.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/alt_e40_pma_jke64uy.v"]\"  -work alt_e40_181"                                                                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/alt_e40_core_jke64uy.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_adapter.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_wide_l2if_rx_mux.v"]\"  -work alt_e40_181"                                                                                                  
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_wide_l2if_tx.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mac_csr.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_phy_config_register_map.v"]\"  -work alt_e40_181"                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_phy_csr.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_rx_fc_config_register_map.v"]\"  -work alt_e40_181"                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_rx_mac_config_register_map.v"]\"  -work alt_e40_181"                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_config_register_map.v"]\"  -work alt_e40_181"                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_mac_config_register_map.v"]\"  -work alt_e40_181"                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_fc_top.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_rx_fc.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_frame_muxer.v"]\"  -work alt_e40_181"                                                                                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_emac_r.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_emac_t.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mac.v"]\"  -work alt_e40_181"                                                                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mac_link_fault_det.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mac_link_fault_gen.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mac_tx.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mt_frame_gen.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mt_gap.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mt_ins.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mt_padding.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mt_preamble.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_block_distributor.v"]\"  -work alt_e40_181"                                                                                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs.v"]\"  -work alt_e40_181"                                                                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs_rx.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs_tx.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_reset_controller.v"]\"  -work alt_e40_181"                                                                                                  
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_add6t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc1h1t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc2h0t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc2h1t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc3h2t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc3h3t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc3h4t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc3h5t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc4h6t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc5h10t1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_addc5h11t1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_adder.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_alignmon32768e8.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_alignmon512e8.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_altera_std_synchronizer_nocut.v"]\"  -work alt_e40_181"                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and11t2.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and2t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and2t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and3t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and3t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and4t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and4t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and5t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and5t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and6t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and6t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and8t2.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_and9t2.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt10c.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt10_valid.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt2c.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt3c.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt4c.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt5.v"]\"  -work alt_e40_181"                                                                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt5c.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt6.v"]\"  -work alt_e40_181"                                                                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt6c.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt6cd.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt6i.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt6ic.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt7c.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_cnt8ci.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_compressor_4to3.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_acc_2_t2.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_da_2_t6.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_f_2_t15.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_rba_t6.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_rb_1_t2.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_rb_2_t2.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_rb_4_t2.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_s64_t2.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_w_2_t9.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_z64_1_t2.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crc32_z64_2_t2.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crccmp33w1t3.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crccmp33w2t3.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_crcpt.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_dec4t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay13w32c.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay13w64.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay13w64c.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay13w8c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay16w1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay18w2.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay18w64c.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay19w2.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay19w64.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay1w1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay1w4.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay29w1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay2w1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay2w2.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay2w34.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay2w4.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay2w5.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay2w9.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay3w1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay3w34c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay3w64c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay4w1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay4w2.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay4w64c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay5w2.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay6w1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay6w11c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay6w64c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay7w44c.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay8w1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay9w6c.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_delay_reg.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_descram128.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_dip8_32.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ebip2.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ecrcins.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_edesk4.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_epcs_rxg.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq20t3.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq2t0.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq2t1.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq33t3.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq3t0.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq3t1.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq4t1.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq9t2.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc15h7cfbt2.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc15h7fe8t2.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc15h7ffbt2.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc19h4e1fbt2.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc4h0t1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc4h5t1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc4h9t1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc4hft1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h07t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h08t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h0dt1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h0ft1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h18t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h1bt1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h1dt1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc5h1ft1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc8h00t2.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc9h0d5t2.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc9h1e8t2.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc9h1fbt2.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eqc9h1fdt2.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_eq_10_const.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_etag2_20_22.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_etag2_21_23.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_etagid.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_etagro4.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ethdec.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_extended_stats_vector.v"]\"  -work alt_e40_181"                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_fd07ins.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_flagover2t2.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_fmon8.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_1024to1518b.v"]\"  -work alt_e40_181"                                                                                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_128to255b.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_1519tomax.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_256to511b.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_512to1023b.v"]\"  -work alt_e40_181"                                                                                                  
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_64b.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frame_65to127b.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_frmwatch.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_gte_with_const_16b.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_hw_reg.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_inpkt2t1.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_locklag5.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_lte.v"]\"  -work alt_e40_181"                                                                                                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_lte_with_const_16b.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_lut6.v"]\"  -work alt_e40_181"                                                                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_metronome1280.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_metronome32000.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_metronome320000.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_metronome32768.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_metronome512.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_metronome81920.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab.sv"]\" -L altera_common_sv_packages -work alt_e40_181"                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab11a3r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab16a1r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab2a5r1w1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab32a4r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab34a2r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab44a3r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab64a2r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab64a3r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab64a4r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab64a5r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab69a5r1w1.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab6a3r1w1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab8a4r1w1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mlab_32word_32bit.v"]\"  -work alt_e40_181"                                                                                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mtywipe.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mtywipe_comb.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w1t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w1t0s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w1t0s2.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w1t1s2.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w2t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w2t0s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w2t1s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w32t0s0.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w32t0s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w32t0s2.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w32t1s2.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w40t0s0.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w40t0s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w40t1s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w56t0s0.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w56t1s0.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w66t0s0.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w66t0s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w66t1s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w7t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w7t0s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w7t1s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w8t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w8t1s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w8t2s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w9t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w9t0s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux2w9t1s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w1t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w3t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w3t0s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w3t1s1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w66t0s0.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w66t0s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w66t1s1.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w8t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w8t1s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w8t2s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w9t0s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux4w9t1s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mux8w9t2s0.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mx16r.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_mx4r.v"]\"  -work alt_e40_181"                                                                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_octets_ok.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ohbin4.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ohbin8.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_opp25t3.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_opp2t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_opp2t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_opp32t3.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_opp3t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_opp3t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or16t2.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or1t0.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or1t1.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or1t2.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or2t0.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or2t1.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or2t2.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or4t0.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or4t1.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_or8t2.v"]\"  -work alt_e40_181"                                                                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs_ber.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs_ber_cnt_ns.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs_ber_sm.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pcs_encoder.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_perminv4.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pipeline_adder_16b.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pulse128.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pulse16.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pulse2.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pulse64.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pulse_stretcher.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_pulse_transfer.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_readmii2.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ready_skid.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_reset_synchronizer.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_ripple16.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_scfifo_mlab.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_scram128.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_shr88s3h8.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_stats_counters.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_status_sync.v"]\"  -work alt_e40_181"                                                                                                       
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_stat_ram_16x64b.v"]\"  -work alt_e40_181"                                                                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc2h0t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc2h2t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc3h3t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc3h4t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc3h6t1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc4hat1.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc5h0ft1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_subc5h10t1.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sv.v"]\"  -work alt_e40_181"                                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sync16m.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sync1r1.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sync1r2.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sync2r2.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_synchronizer.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sync_read.v"]\"  -work alt_e40_181"                                                                                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_sync_regs_m2.v"]\"  -work alt_e40_181"                                                                                                      
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_twodel69.v"]\"  -work alt_e40_181"                                                                                                          
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_arbiter_ctrl.v"]\"  -work alt_e40_181"                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_ctrl.v"]\"  -work alt_e40_181"                                                                                                        
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_onoff_ctrl.v"]\"  -work alt_e40_181"                                                                                                  
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_pb_conv.v"]\"  -work alt_e40_181"                                                                                                     
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_tx_fc_pb_timer.v"]\"  -work alt_e40_181"                                                                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_wys_lut.v"]\"  -work alt_e40_181"                                                                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor1t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor1t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor2t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor2t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor3t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor3t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor4t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor4t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor5t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor5t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor6t0.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/mentor/alt_e40_xor6t1.v"]\"  -work alt_e40_181"                                                                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_e40_181/sim/alt_e40_pll_recal.v"]\"  -work alt_e40_181"                                                                                                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/ex_40g_s10.v"]\"  -work ex_40g_s10"                                                                                                                                           
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
}
